aboutsummaryrefslogtreecommitdiff
path: root/msys2-install.sh
diff options
context:
space:
mode:
authorPřemysl Eric Janouch <p@janouch.name>2024-04-06 20:41:06 +0200
committerPřemysl Eric Janouch <p@janouch.name>2024-04-06 23:56:47 +0200
commite57364cd979a9f57f08c023621b999eddd379a45 (patch)
tree39c6fac745f1b3e0d9bea62b7749322068f7886e /msys2-install.sh
parent7330f07dd763237b2cf22ee23528cc55541428f0 (diff)
downloadfiv-e57364cd979a9f57f08c023621b999eddd379a45.tar.gz
fiv-e57364cd979a9f57f08c023621b999eddd379a45.tar.xz
fiv-e57364cd979a9f57f08c023621b999eddd379a45.zip
Fix openSUSE 15.5 and Win32 builds
Diffstat (limited to 'msys2-install.sh')
-rwxr-xr-xmsys2-install.sh6
1 files changed, 3 insertions, 3 deletions
diff --git a/msys2-install.sh b/msys2-install.sh
index da2d2f1..4cebb73 100755
--- a/msys2-install.sh
+++ b/msys2-install.sh
@@ -12,15 +12,15 @@ fi
# Copy binaries we directly or indirectly depend on.
cp -p "$msys2_root"/bin/*.dll .
-cp -p "$msys2_root"/bin/wperl.exe .
-cp -p "$msys2_root"/bin/exiftool .
+cp -p "$msys2_root"/bin/wperl.exe . || :
+cp -p "$msys2_root"/bin/exiftool . || :
# The console helper is only useful for debug builds.
cp -p "$msys2_root"/bin/gspawn-*-helper*.exe .
cp -pR "$msys2_root"/etc/ .
mkdir -p lib
cp -pR "$msys2_root"/lib/gdk-pixbuf-2.0/ lib
-cp -pR "$msys2_root"/lib/perl5/ lib
+cp -pR "$msys2_root"/lib/perl5/ lib || :
mkdir -p share/glib-2.0/schemas
cp -pR "$msys2_root"/share/glib-2.0/schemas/*.Settings.* share/glib-2.0/schemas
mkdir -p share/icons